Bug 156615 - lmhostid causes kernel panic only when run as root
lmhostid causes kernel panic only when run as root
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
ia64 Linux
medium Severity high
: ---
: ---
Assigned To: Anil S Keshavamurthy
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-05-02 10:46 EDT by Richard H. Fifarek
Modified: 2007-11-30 17:07 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 15:03:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard H. Fifarek 2005-05-02 10:46:09 EDT
Description of problem:
The lmhostid program included within IDL causes a kernel panic, however only
when run as root (when run as a regular user it behaves as expected and doesn't
panic the kernel).  lmhostid is a 32-bit program, so this is running in
emulation mode.

[root@ap1 root]# cat /etc/redhat-release
Red Hat Enterprise Linux AS release 3 (Taroon Update 4)
[root@ap1 root]# uname -a
Linux ap1.cdc.noaa.gov 2.4.21-27.0.4.EL #1 SMP Sat Apr 16 18:37:19 EDT 2005 ia64
ia64 ia64 GNU/Linux


Version-Release number of selected component (if applicable):
kernel-2.4.21-27.0.2.EL
kernel-2.4.21-27.0.4.EL


How reproducible: Every time


Steps to Reproduce:
1. Login as root
2. run lmhostid
3.
  
Actual results:
kernel panics

Expected results:
no kernel panic

Additional info:
[root@ap1 bin.linux.x86]# ldd lmhostid
        libpthread.so.0 => /emul/ia32-linux/lib/tls/libpthread.so.0 (0x40028000)
        libc.so.6 => /emul/ia32-linux/lib/tls/libc.so.6 (0x4003c000)
        /lib/ld-linux.so.2 => /lib/ld-linux.so.2 (0x40000000)
[root@ap1 bin.linux.x86]# file lmhostid
lmhostid: ELF 32-bit LSB executable, Intel 80386, version 1 (SYSV), for
GNU/Linux 2.0.0, dynamically linked (uses shared libs), stripped
[root@ap1 bin.linux.x86]#

-------------------------------------------------------------------------------

Kernel panic console information (copied by hand, so prone to typos):

Pid: 1178944579, comm:
EIP is at update_one_process [kernel] 0x211 (2.4.21-27.0.4.EL)
 psr : 0000121008022018   ifs : 8000000000000288    ip : [<e0000000044a2c11>]
not tainted
unat : 0000000000000000   pfs : 000000000000048c   rsc : 0000000000000003
rnat : 0000000000000090  bsps : 000000000001003e    pr : 80000000afb5a6a7
ldrs : 0000000000000000   ccv : 0000000000000000  fspr : 0009804c0270033f
  b0 : e0000000044a2fd0    b6 : e0000000044032d0    b7 : e000000004434140
  f6 : 0fffafffffffff0000000  f7 : 1003e0000000000000000
  f8 : 10002e000000000000000  f9 : 1003e0000000000000000
  r1 : e000000004cb7d00    r2 : 0000000000000000    r3 : 0000000000000000
  r8 : 0000000000000000    r9 : dfffffff049f8000   r10 : 0000000000000000
 r11 : 0000000000000000   r12 : e0000000049f83c0   r13 : e0000000049f8000
 r14 : 0000000000000000   r15 : 00000000000f423f   r16 : 0000000000000348
 r17 : 000000000000034c   r18 : e0000000049f8328   r19 : c9000000049f8400
 r20 : e0000000049f8158   r21 : 00000000000f423f   r22 : 00000000000f423f
 r23 : 0000000000000000   r24 : 0000000000000000   r25 : e0000000049f83f8
 r26 : 0000000000000000   r27 : e000000004b87810   r28 : 0000000000000000
 r29 : 0000000000000000   r30 : 0000000000000000   r31 : e000000004b83564

Call Trace : [<e000000004415960>]  sp=0xe0000000049f9cd8  bsp=0xe0000000049f9cc0
show_stack [kernel] 80
  <0> kernel panic: Aiee, ki operation fault 0


-------------------------------------------------------------------------------

When run as a regular user, here's strace output:

execve("/usr/local/idl/bin/bin.linux.x86/lmhostid",
["/usr/local/idl/bin/bin.linux.x86/lmhostid"], [/* 34 vars */]) = 0
uname(0xbfffe094)                       = 0
brk(0)                                  = 0x80b8000
open("/etc/ld.so.preload", O_RDONLY)    = -1 ENOENT (No such file or directory)
open("/etc/ld.so.cache", O_RDONLY)      = 3
fstat64(0x3, 0xbfffd948)                = 0
old_mmap(NULL, 53607, PROT_READ, MAP_PRIVATE, 3, 0) = 0x40018000
close(3)                                = 0
open("/emul/ia32-linux/lib/tls/libpthread.so.0", O_RDONLY) = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\20G\0\000"..., 512) = 512
fstat64(0x3, 0xbfffd9c0)                = 0
old_mmap(NULL, 64820, PROT_READ|PROT_EXEC, MAP_PRIVATE, 3, 0) = 0x40028000
old_mmap(0x40035000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED, 3,
0xc000) = 0x40035000
old_mmap(0x40036000, 7476, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x40036000
close(3)                                = 0
open("/emul/ia32-linux/lib/tls/libc.so.6", O_RDONLY) = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\200X\1"..., 512) = 512
fstat64(0x3, 0xbfffd9a4)                = 0
old_mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0x40038000
old_mmap(NULL, 1275340, PROT_READ|PROT_EXEC, MAP_PRIVATE, 3, 0) = 0x4003c000
old_mmap(0x4016e000, 12288, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED, 3,
0x132000) = 0x4016e000
old_mmap(0x40171000, 9676, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x40171000
close(3)                                = 0
set_thread_area(0xbfffdfe0)             = 0
munmap(0x40018000, 53607)               = 0
set_tid_address(0x40038928)             = 3743
rt_sigaction(0x20, 0xbfffe114, 0, 0x8)  = 0
rt_sigprocmask(0x1, 0xbfffe1dc, 0, 0x8) = 0
getrlimit(0x3, 0xbfffe1d0)              = 0
getrlimit(0x7, 0xbfffcb18)              = 0
brk(0)                                  = 0x80b8000
brk(0x80d9000)                          = 0x80d9000
brk(0)                                  = 0x80d9000
stat64(0x80b9d48, 0xbfffc9b4)           = 0
open("/home/rfifarek/.flexlmrc", O_RDONLY) = 3
read(3, "IDL_LMGRD_LICENSE_FILE=/usr/loca"..., 63) = 63
close(3)                                = 0
open("/etc/localtime", O_RDONLY)        = 3
fstat64(0x3, 0xbfffc8ec)                = 0
mmap2(NULL, 16384, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0x40018000
read(3, "TZif\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\4\0\0\0\4\0"..., 16384) = 877
close(3)                                = 0
munmap(0x40018000, 16384)               = 0
stat64(0x80b9dd0, 0xbfffc9b4)           = 0
stat64(0x80b9dd0, 0xbfffc9b4)           = -1 ENOENT (No such file or directory)
stat64(0x80b9e58, 0xbfffc9b4)           = 0
stat64(0x80b9e58, 0xbfffc9b4)           = 0
fstat64(0x1, 0xbfffc7c4)                = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0x40018000
write(1, "lmhostid - Copyright (c) 1989-20"..., 84lmhostid - Copyright (c)
1989-2003 by Macrovision Corporation. All rights reserved.
) = 84
stat64(0x80b9e58, 0xbfffcd78)           = 0
time(0)                                 = 1114814691
stat64(0x80b9e58, 0xbfffc9b4)           = 0
open("/proc/sgi_sn/licenseID", O_RDONLY) = -1 ENOENT (No such file or directory)
socket(PF_INET, 0 /* SOCK_??? */, 3221218020) = 3
ioctl(0x3, 0x8927, 0xbfffcaf0)          = -1 ENODEV (No such device)
close(3)                                = 0
socket(PF_INET, 0 /* SOCK_??? */, 3221218020) = 3
ioctl(0x3, 0x8927, 0xbfffcaf0)          = 0
close(3)                                = 0
write(1, "The FLEXlm host ID of this machi"..., 53The FLEXlm host ID of this
machine is "000e0c307934"
) = 53
munmap(0x40018000, 4096)                = 0
exit_group(0)                           = ?
Comment 1 Richard H. Fifarek 2005-05-19 15:28:42 EDT
No change with kernel 2.4.21-32.EL
Comment 2 RHEL Product and Program Management 2007-10-19 15:03:19 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.